Download it now!
Bug 131963 - Crash: writerfilterlo!writerfilter::dmapper::ConversionHelper::convertTwipToMM100Unsigned+0x52387
Summary: Crash: writerfilterlo!writerfilter::dmapper::ConversionHelper::convertTwipToM...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:7.0.0 target:7.1.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: Crash
  Show dependency treegraph
 
Reported: 2020-04-07 16:03 UTC by Telesto
Modified: 2020-05-29 12:59 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (11.37 KB, text/plain)
2020-05-17 15:42 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-04-07 16:03:30 UTC
Description:
Crash: writerfilterlo!writerfilter::dmapper::ConversionHelper::convertTwipToMM100Unsigned+0x52387

Steps to Reproduce:
- Open attachment 94362 [details] from bug 75208,
- CTRL+A
- CTRL+C
- CTRL+N
- CTRL+SHIFT+V (paste as RTF)

Actual Results:
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.alpha0+ (x64)
Build ID: 4501a0ba623ad61c5a4e0b807da2e96f0e4ce82c
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL
Comment 1 Xisco Faulí 2020-04-22 11:06:38 UTC
Reproduced in

Version: 7.0.0.0.alpha0+
Build ID: 850b8de31c5be5127eac16a4f5cc18c26a582e53
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 2 Xisco Faulí 2020-04-22 11:08:23 UTC
but not in

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e
Comment 3 Xisco Faulí 2020-04-22 11:40:44 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=294babdbbe0a10c732cd5247c5636638c97a4c30

author	László Németh <nemeth@numbertext.org>	2020-02-28 16:55:23 +0100
committer	László Németh <nemeth@numbertext.org>	2020-02-29 17:39:26 +0100
commit	294babdbbe0a10c732cd5247c5636638c97a4c30 (patch)
tree	f2ec7471bad9f592609c0f3f5d1241e309fefdd8
parent	7ce29004934ae7b75dce492bde5602358eb3dc5f (diff)
tdf#92472 DOCX import: fix checkbox size set by direct formatting

Bisected with: bibisect-linux64-6.5

Adding Cc: to László Németh
Comment 4 Julien Nabet 2020-05-17 15:42:04 UTC
Created attachment 160936 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I got an assertion.
Comment 5 Julien Nabet 2020-05-17 15:57:22 UTC
I gave a try with:
https://gerrit.libreoffice.org/c/core/+/94385

As often, don't know if it's a real fix or if I'm just hiding the bug.

Also, when apply this patch or reverting the László's patch, there are very parts from initial doc indeed commented.
Comment 6 Commit Notification 2020-05-18 07:37:55 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/02fe5ec54e339d4f8983a5bf131b9c2d5db9d771

tdf#131963: regression from fix for tdf#92472

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Julien Nabet 2020-05-18 07:38:57 UTC
The commit which triggers the regression is only present in master branch.
So let's put this one to FIXED now.
Comment 8 Xisco Faulí 2020-05-19 12:09:25 UTC
Verified in

Version: 7.0.0.0.alpha1+
Build ID: 8209c2569f5726f9ed29f75d30efdccb94f98fe5
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11; 
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Julien, thanks for fixing this issue!
Comment 9 Xisco Faulí 2020-05-19 12:39:26 UTC
Problem with content in paste document has been reported in bug 133169
Comment 10 Commit Notification 2020-05-29 12:59:01 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d5971a5b1ec19b3c8ff39b32fc9bc57f1083b8ab

tdf#131963: sw: Add UItest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.